/* ==========================================
   header
========================================== */
.header {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 15px 15px;
  z-index: 100;
  background: rgba(255, 255, 255, 0);
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px);
  transition:
    background 0.3s ease,
    backdrop-filter 0.3s ease,
    -webkit-backdrop-filter 0.3s ease;

  @media (min-width: 1024px) {
    left: 0;
    transform: none;
    max-width: none;
  }
}

.header.is-scrolled {
  background: rgba(255, 255, 255, 0.7);
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
}

.header-logo {
  width: 115px;
  height: auto;
}

.header-trial {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  max-width: min(216px, 57.6vw);
  height: 100%;
  background-color: #aea17c;

  @media (min-width: 1024px) {
    opacity: 0;
    visibility: hidden;
    transition:
      opacity 0.3s ease,
      visibility 0.3s ease;
  }
}

.header-trial.is-visible-pc {
  @media (min-width: 1024px) {
    opacity: 1;
    visibility: visible;
  }
}

.header-trial-inner {
  display: flex;
  align-items: center;
  padding: 6px 0 0;
  flex-direction: column;
  gap: min(8px, 2.13vw);
  width: 100%;
  height: 100%;
}

.header-trial-days {
  display: flex;
  align-items: baseline;
  justify-content: flex-start;
  gap: min(5px, 1.33vw);
  width: 100%;
  padding: 0 0 0 min(24px, 6.4vw);
  color: #fff;
  font-size: var(--font-sm);
  font-weight: bold;
}

.header-trial-days .trial-arrow {
  margin: auto 0 min(5px, 1.33vw) 0;
  width: min(10px, 2.67vw);
}

.header-trial-copy {
  font-family: 'Zen Old Mincho';
  color: #fff;
  font-size: min(15px, 4vw);
  font-weight: 700;
  line-height: 1;
  letter-spacing: max(-1px, -0.27vw);
}

.header-trial-three {
  position: relative;
  color: #fff;
  font-family: 'Zen Old Mincho';
  font-size: min(14px, 3.73vw);
  font-weight: 500;
  line-height: 1;
  letter-spacing: 0.14px;

  &::before {
    content: '';
    position: absolute;
    top: 50%;
    left: -2%;
    width: min(34px, 9.07vw);
    height: 0.8px;
    transform: rotate(-17.702deg);
    background-color: #fff;
  }
}

.header-trial-three_jp {
  font-size: min(12px, 3.2vw);
}

.header-trial-fourteen {
  color: #fff;
  font-family: 'Zen Old Mincho';
  font-size: min(22px, 5.87vw);
  font-weight: 500;
  line-height: 1;
  letter-spacing: max(-1.54px, -0.41vw);
}

.header-trial-pc {
  display: none;

  @media (min-width: 1024px) {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    padding: 11px 0 15px;
    background-color: #aea17c;
    border-radius: 15px 15px 0 0;
  }
}

.header-trial-inner_pc {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: min(8px, 2.13vw);
  width: 100%;
  height: 100%;

  @media (min-width: 1024px) {
    flex-direction: row;
    align-items: baseline;
  }
}

.header-trial-days_pc {
  display: flex;
  align-items: baseline;
  justify-content: flex-start;
  gap: min(5px, 1.33vw);
  width: 100%;
  padding: 0 0 0 min(24px, 6.4vw);
  color: #fff;
  font-size: var(--font-sm);
  font-weight: bold;

  @media (min-width: 1024px) {
    width: auto;
    padding: 0;
    flex-direction: row;
  }
}
